% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/weights.R
\name{weights_sparsity}
\alias{weights_sparsity}
\title{Sparsity of Spatial Weights}
\usage{
weights_sparsity(gda_w)
}
\arguments{
\item{gda_w}{A Weight object}
}
\value{
A numeric value of spatial weights sparsity
}
\description{
Get sparsity (% Non-zero) computed from weights matrix
}
\examples{
\dontrun{
guerry_path <- system.file("extdata", "Guerry.shp", package = "rgeoda")
guerry <- st_read(guerry_path)
queen_w <- queen_weights(guerry)
weights_sparsity(queen_w)
}
}
